require File.expand_path('../support/helpers', __FILE__)

describe_recipe "papertrail-rsyslog::default" do
  include Helpers::Papertrail

  it "creates /etc/rsyslog.d/10-papertrail.conf" do
    file("/etc/rsyslog.d/10-papertrail.conf").must_exist
    file("/etc/rsyslog.d/10-papertrail.conf").must_include '# Generated by Chef'

    if node['papertrail']['enable_tls']
      file("/etc/rsyslog.d/10-papertrail.conf").must_include '$DefaultNetstreamDriverCAFile /etc/syslog.papertrail.crt'
      file("/etc/rsyslog.d/10-papertrail.conf").must_include '$ActionSendStreamDriver gtls'
      file("/etc/rsyslog.d/10-papertrail.conf").must_include '$ActionSendStreamDriverMode 1'
    else
      file("/etc/rsyslog.d/10-papertrail.conf").wont_include '$ActionSendStreamDriver gtls'
      file("/etc/rsyslog.d/10-papertrail.conf").wont_include '$ActionSendStreamDriverMode 1'
    end

    file("/etc/rsyslog.d/10-papertrail.conf").must_include '*.*     @@logs.papertrailapp.com:12345'
  end

  it "rsyslog-gnutls package" do
    if node['papertrail']['enable_tls']
      package("rsyslog-gnutls").must_be_installed
    else
      package("rsyslog-gnutls").wont_be_installed
    end
  end
end